.c-pagination {
	display: flex;
	justify-content: center;
	align-items: center;
	column-gap: 20px;
	margin: 0 auto;
}

.c-pagination__item {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 48px;
	border: 1px solid var(--color-surface-dark);
	border-radius: 4px;
	font-weight: 700;
	line-height: 1;
	color: unset;
	aspect-ratio: 1/1;
	text-align: center;
}

.c-pagination__item--current {
	background-color: var(--color-surface-dark);
	color: #fff;
}

.c-pagination__spacer {
	line-height: 1;
}

.c-pagination__prev,
.c-pagination__next {
	position: relative;
	width: 20px;
	aspect-ratio: 1/1;
}

.c-pagination__prev::before,
.c-pagination__next::after {
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	display: block;
	width: 14px;
	height: 14px;
	border-top: 2px solid var(--color-surface-dark);
	border-radius: 2px;
}

.c-pagination__prev::before {
	border-left: 2px solid var(--color-surface-dark);
	transform: translate(-25%, -50%) rotate(-45deg);
}

.c-pagination__next::after {
	border-right: 2px solid var(--color-surface-dark);
	transform: translate(-75%, -50%) rotate(45deg);
}

@media (any-hover: hover) {
	.c-pagination__item:hover {
		background-color: var(--color-surface-dark);
		color: #fff;
		text-decoration: none;
	}

	.c-pagination__prev:hover::before,
	.c-pagination__next:hover::after {
		opacity: 0.6;
	}
}